# PhasicFlow: combinedRange< T > Class Template Reference

combinedRange< T > Class Template Reference
Collaboration diagram for combinedRange< T >:
[legend]

## Public Types

using | StridedRangeType = stridedRange< T >
using | IntervalRangeType = intervalRange< T >

## Public Member Functions

| combinedRange ()
| combinedRange (const std::vector< word > &strRanges)
bool | addRanges (const std::vector< word > &strRanges)
bool | addStridedRange (const word &strRange)
bool | addStridedRange (T begin, T end, T stride)
bool | addIntervalRange (const word &strRange)
bool | addIntervalRange (T begin, T end)
bool | addIndividual (const T &val)
bool | addIndividual (const word &strVal)
bool | isMember (T val) const

## Protected Attributes

List< StridedRangeType > | sRanges_
List< IntervalRangeType > | iRanges_
Set< T > | individuals_

## Detailed Description

### template<typename T>
class pFlow::combinedRange< T >

Definition at line 36 of file combinedRange.hpp.

## Member Typedef Documentation

## StridedRangeType

using StridedRangeType = stridedRange<T>

Definition at line 40 of file combinedRange.hpp.

## IntervalRangeType

using IntervalRangeType = intervalRange<T>

Definition at line 42 of file combinedRange.hpp.

## Constructor & Destructor Documentation

## combinedRange() [1/2]

combinedRange | ( |  | ) |

inline

Definition at line 54 of file combinedRange.hpp.

## combinedRange() [2/2]

combinedRange | ( | const std::vector< word > & | strRanges | ) |

inline

Definition at line 56 of file combinedRange.hpp.

References combinedRange< T >::addRanges(), and fatalExit.

Here is the call graph for this function:

## Member Function Documentation

## addRanges()

bool addRanges | ( | const std::vector< word > & | strRanges | ) |

inline

Definition at line 64 of file combinedRange.hpp.

References combinedRange< T >::addIndividual(), combinedRange< T >::addIntervalRange(), combinedRange< T >::addStridedRange(), pFlow::endl(), and fatalErrorInFunction.

Referenced by combinedRange< T >::combinedRange(), and main().

Here is the call graph for this function:
Here is the caller graph for this function:

## addStridedRange() [1/2]

bool addStridedRange | ( | const word & | strRange | ) |

inline

Definition at line 80 of file combinedRange.hpp.

References stridedRange< T >::parseRange(), and combinedRange< T >::sRanges_.

Referenced by combinedRange< T >::addRanges().

Here is the call graph for this function:
Here is the caller graph for this function:

## addStridedRange() [2/2]

bool addStridedRange | ( | T | begin,
|  | T | end,
|  | T | stride
| ) |  |

inline

Definition at line 91 of file combinedRange.hpp.

References combinedRange< T >::sRanges_.

## addIntervalRange() [1/2]

bool addIntervalRange | ( | const word & | strRange | ) |

inline

Definition at line 97 of file combinedRange.hpp.

References combinedRange< T >::iRanges_, and intervalRange< T >::parseRange().

Referenced by combinedRange< T >::addRanges(), and main().

Here is the call graph for this function:
Here is the caller graph for this function:

## addIntervalRange() [2/2]

bool addIntervalRange | ( | T | begin,
|  | T | end
| ) |  |

inline

Definition at line 109 of file combinedRange.hpp.

References combinedRange< T >::iRanges_.

## addIndividual() [1/2]

bool addIndividual | ( | const T & | val | ) |

inline

Definition at line 115 of file combinedRange.hpp.

References combinedRange< T >::individuals_.

Referenced by combinedRange< T >::addIndividual(), and combinedRange< T >::addRanges().

Here is the caller graph for this function:

## addIndividual() [2/2]

bool addIndividual | ( | const word & | strVal | ) |

inline

Definition at line 121 of file combinedRange.hpp.

References combinedRange< T >::addIndividual(), and pFlow::readValue().

Here is the call graph for this function:

## isMember()

bool isMember | ( | T | val | ) | const

inline

Definition at line 131 of file combinedRange.hpp.

References combinedRange< T >::individuals_, combinedRange< T >::iRanges_, and combinedRange< T >::sRanges_.

Referenced by main().

Here is the caller graph for this function:

## Member Data Documentation

## sRanges_

List<StridedRangeType> sRanges_

protected

Definition at line 46 of file combinedRange.hpp.

Referenced by combinedRange< T >::addStridedRange(), and combinedRange< T >::isMember().

## iRanges_

List<IntervalRangeType> iRanges_

protected

Definition at line 48 of file combinedRange.hpp.

Referenced by combinedRange< T >::addIntervalRange(), and combinedRange< T >::isMember().

## individuals_

Set<T> individuals_

protected

Definition at line 50 of file combinedRange.hpp.

Referenced by combinedRange< T >::addIndividual(), and combinedRange< T >::isMember().

The documentation for this class was generated from the following file:

- src/phasicFlow/ranges/combinedRange.hpp